Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2013-2893

Back to Search

SUSE Linux Security Vulnerability: CVE-2013-2893

Severity
5
CVSS
(AV:L/AC:M/Au:N/C:N/I:N/A:C)
Published
09/16/2013
Created
07/25/2018
Added
02/17/2015
Modified
06/21/2018

Description

The Human Interface Device (HID) subsystem in the Linux kernel through 3.11, when CONFIG_LOGITECH_FF, CONFIG_LOGIG940_FF, or CONFIG_LOGIWHEELS_FF is enabled, allows physically proximate attackers to cause a denial of service (heap-based out-of-bounds write) via a crafted device, related to (1) drivers/hid/hid-lgff.c, (2) drivers/hid/hid-lg3ff.c, and (3) drivers/hid/hid-lg4ff.c.

Solution(s)

  • suse-upgrade-btrfs-kmp-default
  • suse-upgrade-btrfs-kmp-pae
  • suse-upgrade-btrfs-kmp-xen
  • suse-upgrade-cluster-network-kmp-bigsmp
  • suse-upgrade-cluster-network-kmp-default
  • suse-upgrade-cluster-network-kmp-pae
  • suse-upgrade-cluster-network-kmp-ppc64
  • suse-upgrade-cluster-network-kmp-rt
  • suse-upgrade-cluster-network-kmp-rt_trace
  • suse-upgrade-cluster-network-kmp-trace
  • suse-upgrade-cluster-network-kmp-xen
  • suse-upgrade-drbd-kmp-rt
  • suse-upgrade-drbd-kmp-rt_trace
  • suse-upgrade-ext4dev-kmp-default
  • suse-upgrade-ext4dev-kmp-pae
  • suse-upgrade-ext4dev-kmp-trace
  • suse-upgrade-ext4dev-kmp-xen
  • suse-upgrade-gfs2-kmp-bigsmp
  • suse-upgrade-gfs2-kmp-default
  • suse-upgrade-gfs2-kmp-pae
  • suse-upgrade-gfs2-kmp-ppc64
  • suse-upgrade-gfs2-kmp-trace
  • suse-upgrade-gfs2-kmp-xen
  • suse-upgrade-hyper-v-kmp-default
  • suse-upgrade-hyper-v-kmp-pae
  • suse-upgrade-hyper-v-kmp-trace
  • suse-upgrade-iscsitarget-kmp-rt
  • suse-upgrade-iscsitarget-kmp-rt_trace
  • suse-upgrade-kernel-bigsmp
  • suse-upgrade-kernel-bigsmp-base
  • suse-upgrade-kernel-bigsmp-devel
  • suse-upgrade-kernel-debug
  • suse-upgrade-kernel-default
  • suse-upgrade-kernel-default-base
  • suse-upgrade-kernel-default-devel
  • suse-upgrade-kernel-default-extra
  • suse-upgrade-kernel-default-man
  • suse-upgrade-kernel-ec2
  • suse-upgrade-kernel-ec2-base
  • suse-upgrade-kernel-ec2-devel
  • suse-upgrade-kernel-kdump
  • suse-upgrade-kernel-kdumppae
  • suse-upgrade-kernel-pae
  • suse-upgrade-kernel-pae-base
  • suse-upgrade-kernel-pae-devel
  • suse-upgrade-kernel-pae-extra
  • suse-upgrade-kernel-ppc64
  • suse-upgrade-kernel-ppc64-base
  • suse-upgrade-kernel-ppc64-devel
  • suse-upgrade-kernel-rt
  • suse-upgrade-kernel-rt-base
  • suse-upgrade-kernel-rt-devel
  • suse-upgrade-kernel-rt_trace
  • suse-upgrade-kernel-rt_trace-base
  • suse-upgrade-kernel-rt_trace-devel
  • suse-upgrade-kernel-smp
  • suse-upgrade-kernel-source
  • suse-upgrade-kernel-source-rt
  • suse-upgrade-kernel-syms
  • suse-upgrade-kernel-syms-rt
  • suse-upgrade-kernel-trace
  • suse-upgrade-kernel-trace-base
  • suse-upgrade-kernel-trace-devel
  • suse-upgrade-kernel-vmi
  • suse-upgrade-kernel-vmipae
  • suse-upgrade-kernel-xen
  • suse-upgrade-kernel-xen-base
  • suse-upgrade-kernel-xen-devel
  • suse-upgrade-kernel-xen-extra
  • suse-upgrade-kernel-xenpae
  • suse-upgrade-lttng-modules-kmp-rt
  • suse-upgrade-lttng-modules-kmp-rt_trace
  • suse-upgrade-ocfs2-kmp-bigsmp
  • suse-upgrade-ocfs2-kmp-default
  • suse-upgrade-ocfs2-kmp-pae
  • suse-upgrade-ocfs2-kmp-ppc64
  • suse-upgrade-ocfs2-kmp-rt
  • suse-upgrade-ocfs2-kmp-rt_trace
  • suse-upgrade-ocfs2-kmp-trace
  • suse-upgrade-ocfs2-kmp-xen
  • suse-upgrade-ofed-kmp-rt
  • suse-upgrade-ofed-kmp-rt_trace
  • suse-upgrade-sle-hae-release
  • suse-upgrade-suse-linux-enterprise-rt-release
  • suse-upgrade-xen-kmp-default
  • suse-upgrade-xen-kmp-pae
  • suse-upgrade-xen-kmp-trace

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;